Propelus
Professions

Profession Status Endpoint

Retrieve the verification status of professions verified by Propelus.

GET
/v2/professions

Authorization

apiKey clientId
x-api-key<token>

In: header

x-client-id<token>

In: header

Query Parameters

professionState?string

Filters profession state code

professionCode?string

Filters profession code when known.

boardName?string

Filters the board name. Allows partial names.

professionName?string

Filters on profession name.

professionStatus?string

Filters on profession status

Response Body

application/json

curl -X GET "https://example.com/v2/professions"
{
  "code": "string",
  "message": "string",
  "items": [
    {
      "additionalBoardFee": false,
      "professionStatus": "MANUAL",
      "boardName": "Alabama Board of Nursing",
      "boardUrl": "https://abn.alabama.gov/applications/LicenseLookupInfo.aspx",
      "disciplinaryActionTracking": true,
      "licenseFormatRegex": "^[0-9]{9}$",
      "licenseFormatRegexMask": "012345678",
      "professionName": "Registered Nurse Alabama",
      "searchCriteria": [
        "licenseNumber",
        "professionCode"
      ],
      "verificationType": "WEB",
      "professionState": "AL",
      "professionCode": "RN"
    }
  ],
  "size": 0
}
Empty
Empty